import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';
import 'package:flyinsono/architecture/define.dart';

import 'index.dart';
import 'widgets/widgets.dart';

class MobileCalendarPage extends FisView<MobileCalendarController> {
  const MobileCalendarPage({Key? key}) : super(key: key);

  // 主视图
  FWidget _buildView() {
    return FColumn(
      children: [
        TitleBar(),
        FExpanded(child: MonthView()),
      ],
    );
  }

  @override
  FWidget build(BuildContext context) {
    return FScaffold(
      body: FSafeArea(
        child: _buildView(),
      ),
    );
  }
}
